Flecs: ecs_meta_scope_t Struct Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.1 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
ecs_meta_scope_t Struct Reference
C API » Addons » Meta

Type with information about currently serialized scope. More...

`#include <meta.h>`

## Public Attributes
ecs_entity_t | type
| The type being iterated.
ecs_meta_op_t * | ops
| The type operations (see ecs_meta_op_t).
int16_t | ops_count
| Number of elements in ops.
int16_t | ops_cur
| Current element in ops.
int16_t | prev_depth
| Depth to restore, in case dotmember was used.
void * | ptr
| Pointer to ops[0].
const EcsOpaque * | opaque
| Opaque type interface.
ecs_hashmap_t * | members
| string -> member index
bool | is_collection
| Is the scope iterating elements?
bool | is_empty_scope
| Was scope populated (for vectors).
bool | is_moved_scope
| Was scope moved in (with ecs_meta_elem, for vectors).
int32_t | elem
int32_t | elem_count
| Set for collections.

## Detailed Description

Type with information about currently serialized scope.

Definition at line 601 of file meta.h.

## Member Data Documentation

## ◆ elem

int32_t ecs_meta_scope_t::elem

Definition at line 613 of file meta.h.

## ◆ elem_count

int32_t ecs_meta_scope_t::elem_count

Set for collections.

Definition at line 613 of file meta.h.

## ◆ is_collection

bool ecs_meta_scope_t::is_collection

Is the scope iterating elements?

Definition at line 610 of file meta.h.

## ◆ is_empty_scope

bool ecs_meta_scope_t::is_empty_scope

Was scope populated (for vectors).

Definition at line 611 of file meta.h.

## ◆ is_moved_scope

bool ecs_meta_scope_t::is_moved_scope

Was scope moved in (with ecs_meta_elem, for vectors).

Definition at line 612 of file meta.h.

## ◆ members

ecs_hashmap_t* ecs_meta_scope_t::members

string -> member index

Definition at line 609 of file meta.h.

## ◆ opaque

const EcsOpaque* ecs_meta_scope_t::opaque

Opaque type interface.

Definition at line 608 of file meta.h.

## ◆ ops

ecs_meta_op_t* ecs_meta_scope_t::ops

The type operations (see ecs_meta_op_t).

Definition at line 603 of file meta.h.

## ◆ ops_count

int16_t ecs_meta_scope_t::ops_count

Number of elements in ops.

Definition at line 604 of file meta.h.

## ◆ ops_cur

int16_t ecs_meta_scope_t::ops_cur

Current element in ops.

Definition at line 605 of file meta.h.

## ◆ prev_depth

int16_t ecs_meta_scope_t::prev_depth

Depth to restore, in case dotmember was used.

Definition at line 606 of file meta.h.

## ◆ ptr

void* ecs_meta_scope_t::ptr

Pointer to ops[0].

Definition at line 607 of file meta.h.

## ◆ type

ecs_entity_t ecs_meta_scope_t::type

The type being iterated.

Definition at line 602 of file meta.h.

The documentation for this struct was generated from the following file:

- include/flecs/addons/meta.h